<?php
/**
 * Mimes.
 *
 * @package Nisje
 */

namespace Dekode\Nisje\Resets;

/**
 * Extend mimes.
 *
 * @param array $mimes Array of allowed mimes.
 * @return array $mimes Array of optimized mimes.
 */
function upload_mimes( $mimes ) {
	// Add *.EPS files to Media upload.
	$mimes['eps'] = 'application/postscript';
	// Add *.AI files to Media upload.
	$mimes['ai'] = 'application/postscript';

	return $mimes;
}
add_filter( 'upload_mimes', __NAMESPACE__ . '\upload_mimes' );
